import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { CnK8sPod } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-12-20 15:26
 */
interface CnK8sPodCU extends ConditionUtil<CnK8sPodCU>{
    ID:FieldUtil<CnK8sPodCU>;
    DEPLOY_ID:FieldUtil<CnK8sPodCU>;
    IP:FieldUtil<CnK8sPodCU>;
    POD_ID:FieldUtil<CnK8sPodCU>;
    K8S_ID:FieldUtil<CnK8sPodCU>;
    ENV_CODE:FieldUtil<CnK8sPodCU>;
    APP_TYPE:FieldUtil<CnK8sPodCU>;
    ENV_MAP:FieldUtil<CnK8sPodCU>;
    STATUS:FieldUtil<CnK8sPodCU>;
    LAST_ACTIVE_TIME:FieldUtil<CnK8sPodCU>;
    LAST_POLLING_TIME:FieldUtil<CnK8sPodCU>;
    DELETED:FieldUtil<CnK8sPodCU>;
    CREATE_USER_ID:FieldUtil<CnK8sPodCU>;
    CREATE_TIME:FieldUtil<CnK8sPodCU>;
    UPDATE_USER_ID:FieldUtil<CnK8sPodCU>;
    UPDATE_TIME:FieldUtil<CnK8sPodCU>;
    CLOUD_PROVIDER:FieldUtil<CnK8sPodCU>;
}

class CnK8sPodCUImpl extends ConditionUtilImpl<CnK8sPodCUImpl> implements CnK8sPodCU{ 
    newInstance(): CnK8sPodCUImpl {
        return new CnK8sPodCUImpl();
    } 
    get ID(): FieldUtil<CnK8sPodCU>{  
        return new FieldUtil('id','id','主键', this);
    }
    get DEPLOY_ID(): FieldUtil<CnK8sPodCU>{  
        return new FieldUtil('deploy_id','deployId','部署ID', this);
    }
    get IP(): FieldUtil<CnK8sPodCU>{  
        return new FieldUtil('ip','ip','IP地址', this);
    }
    get POD_ID(): FieldUtil<CnK8sPodCU>{  
        return new FieldUtil('pod_id','podId','POD_ID', this);
    }
    get K8S_ID(): FieldUtil<CnK8sPodCU>{  
        return new FieldUtil('k8s_id','k8sId','K8S_ID', this);
    }
    get ENV_CODE(): FieldUtil<CnK8sPodCU>{  
        return new FieldUtil('env_code','envCode','环境代码', this);
    }
    get APP_TYPE(): FieldUtil<CnK8sPodCU>{  
        return new FieldUtil('app_type','appType','CNBS-基础服务、CNGATEWAY-网关服务、CNPRJ-原生项目', this);
    }
    get ENV_MAP(): FieldUtil<CnK8sPodCU>{  
        return new FieldUtil('env_map','envMap','环境变量', this);
    }
    get STATUS(): FieldUtil<CnK8sPodCU>{  
        return new FieldUtil('status','status','Pending、Running、Succeeded、Failed、Unknown', this);
    }
    get LAST_ACTIVE_TIME(): FieldUtil<CnK8sPodCU>{  
        return new FieldUtil('last_active_time','lastActiveTime','最近活跃时间', this);
    }
    get LAST_POLLING_TIME(): FieldUtil<CnK8sPodCU>{  
        return new FieldUtil('last_polling_time','lastPollingTime','最近轮询时间', this);
    }
    get DELETED(): FieldUtil<CnK8sPodCU>{  
        return new FieldUtil('deleted','deleted','删除标记', this);
    }
    get CREATE_USER_ID(): FieldUtil<CnK8sPodCU>{  
        return new FieldUtil('create_user_id','createUserId','创建人', this);
    }
    get CREATE_TIME(): FieldUtil<CnK8sPodCU>{  
        return new FieldUtil('create_time','createTime','创建时间', this);
    }
    get UPDATE_USER_ID(): FieldUtil<CnK8sPodCU>{  
        return new FieldUtil('update_user_id','updateUserId','更新人', this);
    }
    get UPDATE_TIME(): FieldUtil<CnK8sPodCU>{  
        return new FieldUtil('update_time','updateTime','更新时间', this);
    }
    get CLOUD_PROVIDER(): FieldUtil<CnK8sPodCU>{  
        return new FieldUtil('cloud_provider','cloudProvider','云厂商', this);
    }
}

@Singleton 
class CnK8sPodMU extends TableUtilImpl<CnK8sPodCU,CnK8sPod>{ 
    tableName  = 'cn_k8s_pod';
    tableFields  = ['id','deploy_id','ip','pod_id','k8s_id','env_code','app_type','env_map','status','last_active_time','last_polling_time','deleted','create_user_id','create_time','update_user_id','update_time','cloud_provider'];
    modelFields  = ['id','deployId','ip','podId','k8sId','envCode','appType','envMap','status','lastActiveTime','lastPollingTime','deleted','createUserId','createTime','updateUserId','updateTime','cloudProvider'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): CnK8sPodCU {
        return new CnK8sPodCUImpl();
    }   

    static get ID(): FieldUtil<CnK8sPodCU>{ 
        return new FieldUtil('id','id','主键', new CnK8sPodCUImpl());
    }
    static get DEPLOY_ID(): FieldUtil<CnK8sPodCU>{ 
        return new FieldUtil('deploy_id','deployId','部署ID', new CnK8sPodCUImpl());
    }
    static get IP(): FieldUtil<CnK8sPodCU>{ 
        return new FieldUtil('ip','ip','IP地址', new CnK8sPodCUImpl());
    }
    static get POD_ID(): FieldUtil<CnK8sPodCU>{ 
        return new FieldUtil('pod_id','podId','POD_ID', new CnK8sPodCUImpl());
    }
    static get K8S_ID(): FieldUtil<CnK8sPodCU>{ 
        return new FieldUtil('k8s_id','k8sId','K8S_ID', new CnK8sPodCUImpl());
    }
    static get ENV_CODE(): FieldUtil<CnK8sPodCU>{ 
        return new FieldUtil('env_code','envCode','环境代码', new CnK8sPodCUImpl());
    }
    static get APP_TYPE(): FieldUtil<CnK8sPodCU>{ 
        return new FieldUtil('app_type','appType','CNBS-基础服务、CNGATEWAY-网关服务、CNPRJ-原生项目', new CnK8sPodCUImpl());
    }
    static get ENV_MAP(): FieldUtil<CnK8sPodCU>{ 
        return new FieldUtil('env_map','envMap','环境变量', new CnK8sPodCUImpl());
    }
    static get STATUS(): FieldUtil<CnK8sPodCU>{ 
        return new FieldUtil('status','status','Pending、Running、Succeeded、Failed、Unknown', new CnK8sPodCUImpl());
    }
    static get LAST_ACTIVE_TIME(): FieldUtil<CnK8sPodCU>{ 
        return new FieldUtil('last_active_time','lastActiveTime','最近活跃时间', new CnK8sPodCUImpl());
    }
    static get LAST_POLLING_TIME(): FieldUtil<CnK8sPodCU>{ 
        return new FieldUtil('last_polling_time','lastPollingTime','最近轮询时间', new CnK8sPodCUImpl());
    }
    static get DELETED(): FieldUtil<CnK8sPodCU>{ 
        return new FieldUtil('deleted','deleted','删除标记', new CnK8sPodCUImpl());
    }
    static get CREATE_USER_ID(): FieldUtil<CnK8sPodCU>{ 
        return new FieldUtil('create_user_id','createUserId','创建人', new CnK8sPodCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<CnK8sPodCU>{ 
        return new FieldUtil('create_time','createTime','创建时间', new CnK8sPodCUImpl());
    }
    static get UPDATE_USER_ID(): FieldUtil<CnK8sPodCU>{ 
        return new FieldUtil('update_user_id','updateUserId','更新人', new CnK8sPodCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<CnK8sPodCU>{ 
        return new FieldUtil('update_time','updateTime','更新时间', new CnK8sPodCUImpl());
    }
    static get CLOUD_PROVIDER(): FieldUtil<CnK8sPodCU>{ 
        return new FieldUtil('cloud_provider','cloudProvider','云厂商', new CnK8sPodCUImpl());
    }

    get ID(): FieldUtil<CnK8sPodCU>{ 
        return CnK8sPodMU.ID;
    }
    get DEPLOY_ID(): FieldUtil<CnK8sPodCU>{ 
        return CnK8sPodMU.DEPLOY_ID;
    }
    get IP(): FieldUtil<CnK8sPodCU>{ 
        return CnK8sPodMU.IP;
    }
    get POD_ID(): FieldUtil<CnK8sPodCU>{ 
        return CnK8sPodMU.POD_ID;
    }
    get K8S_ID(): FieldUtil<CnK8sPodCU>{ 
        return CnK8sPodMU.K8S_ID;
    }
    get ENV_CODE(): FieldUtil<CnK8sPodCU>{ 
        return CnK8sPodMU.ENV_CODE;
    }
    get APP_TYPE(): FieldUtil<CnK8sPodCU>{ 
        return CnK8sPodMU.APP_TYPE;
    }
    get ENV_MAP(): FieldUtil<CnK8sPodCU>{ 
        return CnK8sPodMU.ENV_MAP;
    }
    get STATUS(): FieldUtil<CnK8sPodCU>{ 
        return CnK8sPodMU.STATUS;
    }
    get LAST_ACTIVE_TIME(): FieldUtil<CnK8sPodCU>{ 
        return CnK8sPodMU.LAST_ACTIVE_TIME;
    }
    get LAST_POLLING_TIME(): FieldUtil<CnK8sPodCU>{ 
        return CnK8sPodMU.LAST_POLLING_TIME;
    }
    get DELETED(): FieldUtil<CnK8sPodCU>{ 
        return CnK8sPodMU.DELETED;
    }
    get CREATE_USER_ID(): FieldUtil<CnK8sPodCU>{ 
        return CnK8sPodMU.CREATE_USER_ID;
    }
    get CREATE_TIME(): FieldUtil<CnK8sPodCU>{ 
        return CnK8sPodMU.CREATE_TIME;
    }
    get UPDATE_USER_ID(): FieldUtil<CnK8sPodCU>{ 
        return CnK8sPodMU.UPDATE_USER_ID;
    }
    get UPDATE_TIME(): FieldUtil<CnK8sPodCU>{ 
        return CnK8sPodMU.UPDATE_TIME;
    }
    get CLOUD_PROVIDER(): FieldUtil<CnK8sPodCU>{ 
        return CnK8sPodMU.CLOUD_PROVIDER;
    }
}
export {CnK8sPodMU, CnK8sPodCU}
